Estimate Route
Get the estimate route information for a sequence of orders
Get the estimate route information for a sequence of orders
In: header
Query Parameters
Unique Handle of Ops Group to estimate route for
List of Orders in the desired sequence to do the estimate, it should be list of json object, eg: [{"order_handle": "<order_handle>", "type":"<pick/drop>", "type_index": 0}] where order_handle is a required field
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/orders/estimate?ops_group_handle=string&orders=string"{}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Create Route POST
This API is used to plan a set of unplanned orders into a route
Get Order Timeline GET
Get order timeline by order_handle ### Planning failure reasons When an order is left unplanned by automated planning, `planning_failure_reason` may contain one of these values: - `No Worker was available for this plan.` - `No Worker schedule overlaps with this order's time window.` - `This order is outside the available Worker working hours.` - `Worker location is unavailable, so travel time could not be evaluated.` - `Worker start location is unavailable for the configured route start setting.` - `No Worker supports the required product type for this order.` - `Route was being modified concurrently and this order needs to be re-planned.` - `The optimizer dropped this order to satisfy planning constraints for the overall plan.` - `The optimizer could not find a feasible plan for the provided constraints.` - `Travel time calculation failed for this planning attempt.` - `Ops group configuration is incomplete for automated planning.` - `Assigning this order would exceed route or Worker capacity.` - `No Worker can reach this order before scheduled_at.` - `Assigning this order would delay an already planned downstream order.` - `Assigning this order would exceed the Worker's shift end time.` - `Automated planning could not assign this order with the provided constraints.`